<?xml version="1.0" encoding="utf-8"?>
<EntityRelationships>
  <EntityRelationship Name="SalesOrder_Emails">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IntroducedVersion>5.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Email</ReferencingEntityName>
    <ReferencedEntityName>SalesOrder</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the e-mail is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid|RequiredForForm</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="SalesOrder_Phonecalls">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IntroducedVersion>5.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>PhoneCall</ReferencingEntityName>
    <ReferencedEntityName>SalesOrder</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the phone call activity is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
</EntityRelationships>